# provider slapd config -- for testing
# $OpenLDAP$
## This work is part of OpenLDAP Software <http://www.openldap.org/>.
##
## Copyright 1998-2020 The OpenLDAP Foundation.
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted only as authorized by the OpenLDAP
## Public License.
##
## A copy of this license is available in the file LICENSE in the
## top-level directory of the distribution or, alternatively, at
## <http://www.OpenLDAP.org/license.html>.

include		@SCHEMADIR@/core.schema
include		@SCHEMADIR@/cosine.schema
include		@SCHEMADIR@/inetorgperson.schema
include		@SCHEMADIR@/openldap.schema
include		@SCHEMADIR@/nis.schema
include		@SCHEMADIR@/ppolicy.schema
pidfile		@TESTDIR@/slapd.m.pid
argsfile	@TESTDIR@/slapd.m.args

#mod#modulepath	../servers/slapd/back-@BACKEND@/
#mod#moduleload	back_@BACKEND@.la
#relaymod#modulepath ../servers/slapd/back-relay/
#relaymod#moduleload back_relay.la
#ldapmod#modulepath ../servers/slapd/back-ldap/
#ldapmod#moduleload back_ldap.la
#metamod#modulepath ../servers/slapd/back-meta/
#metamod#moduleload back_meta.la
#monitormod#modulepath ../servers/slapd/back-monitor/
#monitormod#moduleload back_monitor.la
#rwmmod#modulepath ../servers/slapd/overlays/
#rwmmod#moduleload rwm.la

# seems to improve behavior under very heavy load
# (i.e. it alleviates load on target systems)
threads		8

#######################################################################
# database definitions
#######################################################################

database	meta
suffix		"o=Example,c=US"
rootdn		"cn=Manager,o=Example,c=US"
rootpw		secret
nretries	100
chase-referrals	yes

uri		"@URI1@o=Example,c=US"
suffixmassage	"o=Example,c=US" "dc=example,dc=com"
idassert-bind	bindmethod=simple
		binddn="cn=manager,dc=example,dc=com"
		credentials=secret
		mode=none
idassert-authzFrom "*"

#monitor#database	monitor
